<?php

namespace Myriad\Authentication\Lib\Jobs;

use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Bus\Queueable;

class SendRegistrationEmailVerification implements ShouldQueue
{
    use Queueable, InteractsWithQueue, SerializesModels;

    private $firstName;
    private $lastName;
    private $email;
    private $type;
    private $password;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct(
      $firstName,
      $lastName,
      $email,
      $type,
      $password
    ) {
      $this->firstName = $firstName;
      $this->lastName = $lastName;
      $this->email = $email;
      $this->type = $type;
      $this->password = $password;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        //
    }
}
