<?php


namespace Myriad\Authentication\Models;

use Myriad\Authentication\Models\AccessToken;

trait OwnsAccessTokens {

  /**
   * Returns the access tokens for a model
   *
   * @return \Illuminate\Database\Eloquent\Relations\MorphMany
   */
  public function accessTokens() {
    return $this->morphMany(AccessToken::class, 'owner');
  }

}
